Docs

Tools and custom APIs the agent invoked

GEThttps://server.heyrik.com/api/v1/calls/{id}/functions

Path parameters

idRequired

Replace {id} in the request URL with the value for this resource.

Headers

AuthorizationstringRequired

Use Bearer $HEYRIK_API_KEY with an account-scoped API key. Keep the key on your server.

Get your API key
GET/calls/{id}/functions
curl https://server.heyrik.com/api/v1/calls/call_1dd990f7/functions \
  -H "Authorization: Bearer $HEYRIK_API_KEY"
Response example
{
  "data": [
    {
      "name": "check_order_status",
      "arguments": { "order_id": "AC-8842" },
      "result": { "status": "dispatched" },
      "ts": "2026-07-22T15:06:02.400Z"
    }
  ]
}

Illustrative examples · No live request is sent

Docs

Build sophisticated voice experiences with HeyRik.

© 2026 HeyRik · Support